#edit the following line to add the librarie's header files
FIND_PATH(lidar_lite_INCLUDE_DIR lidar_lite.h /usr/include/iridrivers /usr/local/include/iridrivers)

FIND_LIBRARY(lidar_lite_LIBRARY
    NAMES lidar_lite
    PATHS /usr/lib /usr/local/lib /usr/local/lib/iridrivers) 

IF (lidar_lite_INCLUDE_DIR AND lidar_lite_LIBRARY)
   SET(lidar_lite_FOUND TRUE)
ENDIF (lidar_lite_INCLUDE_DIR AND lidar_lite_LIBRARY)

IF (lidar_lite_FOUND)
   IF (NOT lidar_lite_FIND_QUIETLY)
      MESSAGE(STATUS "Found lidar_lite: ${lidar_lite_LIBRARY}")
   ENDIF (NOT lidar_lite_FIND_QUIETLY)
ELSE (lidar_lite_FOUND)
   IF (lidar_lite_FIND_REQUIRED)
      MESSAGE(FATAL_ERROR "Could not find lidar_lite")
   ENDIF (lidar_lite_FIND_REQUIRED)
ENDIF (lidar_lite_FOUND)

